[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian (3 files)
Thomas Hood
jdthood-guest@haydn.debian.org
Tue, 21 Sep 2004 15:25:32 -0600
Date: Tuesday, September 21, 2004 @ 15:25:32
Author: jdthood-guest
Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian
Added: patches/15_alsaconf_doc_config.dpatch
Modified: changelog patches/00list
Add 15_alsaconf_doc_config
---------------------------------------+
changelog | 2 +
patches/00list | 1
patches/15_alsaconf_doc_config.dpatch | 34 ++++++++++++++++++++++++++++++++
3 files changed, 37 insertions(+)
Index: debian/alsa-utils/debian/changelog
diff -u debian/alsa-utils/debian/changelog:1.55 debian/alsa-utils/debian/changelog:1.56
--- debian/alsa-utils/debian/changelog:1.55 Tue Sep 21 15:09:36 2004
+++ debian/alsa-utils/debian/changelog Tue Sep 21 15:25:32 2004
@@ -2,6 +2,8 @@
* Unreleased.
* Thomas Hood:
+ - alsaconf.8
+ + Describe new --config option
- speaker-test.1
+ Add
* Jordi Mallach:
Index: debian/alsa-utils/debian/patches/00list
diff -u debian/alsa-utils/debian/patches/00list:1.16 debian/alsa-utils/debian/patches/00list:1.17
--- debian/alsa-utils/debian/patches/00list:1.16 Sun Sep 19 07:51:50 2004
+++ debian/alsa-utils/debian/patches/00list Tue Sep 21 15:25:32 2004
@@ -4,6 +4,7 @@
15_alsamixer_doc_keycase
15_alsamixer_doc_mute
15_arecord_doc_duration
+15_alsaconf_doc_config
20_alsaconf_lspci
50_aconnect_betwen
90_debian_alsaconf_paths
Index: debian/alsa-utils/debian/patches/15_alsaconf_doc_config.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/15_alsaconf_doc_config.dpatch:1.1
--- /dev/null Tue Sep 21 15:25:32 2004
+++ debian/alsa-utils/debian/patches/15_alsaconf_doc_config.dpatch Tue Sep 21 15:25:32 2004
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+## 15_alsaconf_doc_config.dpatch by <jdthood@yahoo.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch -p1 ${patch_opts} < $0;;
+ -unpatch) patch -R -p1 ${patch_opts} < $0;;
+ *)
+ echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.8 alsa-utils/alsaconf/alsaconf.8
+--- /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.8 2003-10-29 14:38:23.000000000 +0100
++++ alsa-utils/alsaconf/alsaconf.8 2004-09-21 23:12:45.000000000 +0200
+@@ -30,6 +30,9 @@
+ .SH OPTIONS
+ Alsaconf accepts the following options:
+ .TP
++.B \-c, \-\-config file
++Write to the specified configuration file
++.TP
+ .B \-l, \-\-legacy
+ Check only for legacy non-isapnp cards
+ .TP